import BottomSheet, { BottomSheetBackdrop, BottomSheetFlatList, } from "@gorhom/bottom-sheet";
import React, { useCallback, useEffect, useMemo, useRef, } from "react";
import { Text, View, StyleSheet, } from "react-native";
import { Portal } from "react-native-portalize";
import styles from "./styles";
import { Color } from "../../constants";
const BottomFlatListModal = ({ modalTitle = "", isVisible, data, snapPoints, contentContainerStyle, renderItem, keyExtractor, ItemSeparatorComponent, onClose, }) => {
    const bottomSheetRef = useRef(null);
    const defaultSnapPoints = useMemo(() => ["25%", "50%"], []);
    const snapPointsToUse = snapPoints || defaultSnapPoints;
    useEffect(() => {
        if (isVisible) {
            bottomSheetRef.current?.expand();
        }
        else {
            bottomSheetRef.current?.close();
        }
    }, [isVisible]);
    const renderBackdrop = useCallback((props) => (React.createElement(BottomSheetBackdrop, { ...props, disappearsOnIndex: -1, appearsOnIndex: 0 })), []);
    return (React.createElement(Portal, null,
        React.createElement(BottomSheet, { ref: bottomSheetRef, snapPoints: snapPointsToUse, enablePanDownToClose: true, index: -1, backgroundStyle: styles.bottomSheet, onClose: onClose, backdropComponent: renderBackdrop },
            React.createElement(BottomSheetFlatList, { data: data, renderItem: renderItem, keyExtractor: keyExtractor, contentContainerStyle: contentContainerStyle, ItemSeparatorComponent: ItemSeparatorComponent, ListHeaderComponent: () => {
                    return (React.createElement(React.Fragment, null,
                        React.createElement(Text, { style: styles.modalTitle }, modalTitle),
                        React.createElement(View, { style: {
                                height: StyleSheet.hairlineWidth,
                                backgroundColor: Color.grey,
                                marginTop: 15,
                            } })));
                } }))));
};
export default BottomFlatListModal;
//# sourceMappingURL=index.js.map