import React from "react";
import { TouchableOpacity, Text, ActivityIndicator, } from "react-native";
import styles from "./styles";
import { Color, Styles } from "../../constants";
const Button = ({ onPress, label, loading = false, labelColor = Color.black, backgroundColor = Color.white, borderColor = Color.transparent, borderRadius = 25, style, }) => {
    return (React.createElement(TouchableOpacity, { onPress: onPress, style: [
            styles.root,
            {
                backgroundColor,
                borderColor,
                borderRadius,
                ...Styles.cardElevation,
            },
            style,
        ] },
        !!label && !loading && (React.createElement(Text, { style: [styles.label, { color: labelColor }] }, label)),
        loading && React.createElement(ActivityIndicator, null)));
};
export default Button;
//# sourceMappingURL=index.js.map