import Icon from "@expo/vector-icons/AntDesign";
import React, { useState } from "react";
import { Controller } from "react-hook-form";
import { View, Text, TouchableOpacity, } from "react-native";
import DateTimePickerModal from "react-native-modal-datetime-picker";
import styles from "./styles";
import { Color } from "../../constants";
const MINIMUM_DATE = new Date(1900, 0, 1);
const MAXIMUM_DATE = new Date(2100, 0, 1);
const FormDateSelect = ({ name, control, label, style, }) => {
    const [isVisble, setIsVisible] = useState(false);
    const [date, setDate] = useState(new Date());
    return (React.createElement(React.Fragment, null,
        React.createElement(TouchableOpacity, { style: [styles.dropdownContainer, style], onPress: () => setIsVisible(true) },
            React.createElement(View, { style: styles.content },
                React.createElement(View, null,
                    React.createElement(Text, { style: styles.labelText }, label),
                    React.createElement(Text, { style: styles.valueText }, date.toLocaleDateString())),
                React.createElement(Icon, { name: "down", size: 15, color: Color.black, style: styles.icon }))),
        React.createElement(Controller, { name: name, control: control, render: ({ field: { onChange, value } }) => (React.createElement(DateTimePickerModal, { isVisible: isVisble, mode: "date", date: value, onConfirm: (date) => {
                    onChange(date);
                    setDate(date);
                    setIsVisible(false);
                }, onCancel: () => setIsVisible(false), minimumDate: MINIMUM_DATE, maximumDate: MAXIMUM_DATE })) })));
};
export default FormDateSelect;
//# sourceMappingURL=index.js.map