import React from "react";
import { Controller } from "react-hook-form";
import { View, Text, TextInput, } from "react-native";
import styles from "./styles";
import { Color } from "../../constants";
import FormError from "../FormError";
const FormInput = ({ label, control, name, rules, style, error, keyboardType, returnKeyType, onSubmitEditing, autoCapitalize, }) => {
    return (React.createElement(View, { style: { flex: 1, flexDirection: "column" } },
        React.createElement(View, { style: [styles.root, style] },
            React.createElement(Text, { style: styles.labelText }, label),
            React.createElement(Controller, { name: name, control: control, rules: rules, render: ({ field: { onChange, onBlur, value, ref } }) => (React.createElement(TextInput, { ref: ref, key: name, onChangeText: onChange, onBlur: onBlur, value: value, style: styles.input, selectionColor: Color.darkGrey, keyboardType: keyboardType, returnKeyType: returnKeyType, onSubmitEditing: onSubmitEditing, autoCapitalize: autoCapitalize })) })),
        React.createElement(FormError, { error: error })));
};
export default FormInput;
//# sourceMappingURL=index.js.map