import React from "react";
import { Controller } from "react-hook-form";
import { View, Text, } from "react-native";
import { MaskedTextInput } from "react-native-mask-text";
import styles from "./styles";
import { Color } from "../../constants";
import FormError from "../FormError";
const FormMaskedInput = ({ label, control, name, rules, style, error, mask, type, options, keyboardType, returnKeyType, useOutput, onSubmitEditing, }) => {
    return (React.createElement(React.Fragment, null,
        React.createElement(View, { style: [styles.root, style] },
            React.createElement(Text, { style: styles.labelText }, label),
            React.createElement(Controller, { name: name, control: control, rules: rules, render: ({ field: { onChange, onBlur, value, ref } }) => (React.createElement(MaskedTextInput, { ref: ref, key: name, onChangeText: (text, rawText) => {
                        onChange(useOutput ? text : rawText);
                    }, onBlur: () => {
                        onBlur();
                    }, value: value, style: styles.input, selectionColor: Color.darkGrey, mask: mask, type: type, options: options, keyboardType: keyboardType, returnKeyType: returnKeyType, onSubmitEditing: onSubmitEditing })) })),
        React.createElement(FormError, { error: error })));
};
export default FormMaskedInput;
//# sourceMappingURL=index.js.map