import Icon from "@expo/vector-icons/AntDesign";
import React, { useState } from "react";
import { Controller, useFieldArray, } from "react-hook-form";
import { View, Text, TouchableOpacity, StyleSheet, } from "react-native";
import styles from "./styles";
import { Color } from "../../constants";
import BottomFlatListModal from "../BottomFlatListModal";
import FormError from "../FormError";
const FormMultiPicklist = ({ name, control, label, modalTitle, items, error, style, }) => {
    const { update, remove } = useFieldArray({ name, control });
    const [isVisble, setIsVisible] = useState(false);
    const [selection, setSelection] = useState([]);
    return (React.createElement(React.Fragment, null,
        React.createElement(TouchableOpacity, { style: [styles.dropdownContainer, style], onPress: () => setIsVisible(true) },
            React.createElement(View, { style: styles.content },
                React.createElement(View, { style: styles.flex1 },
                    React.createElement(Text, { style: styles.labelText }, label),
                    React.createElement(Text, { style: styles.valueText, numberOfLines: 1 }, `${selection.length} items selected`)),
                React.createElement(Icon, { name: "down", size: 15, color: Color.black, style: styles.icon }))),
        React.createElement(FormError, { error: error }),
        React.createElement(Controller, { name: name, control: control, render: () => (React.createElement(BottomFlatListModal, { modalTitle: modalTitle, isVisible: isVisble, data: items, keyExtractor: (item) => item.id.toString(), onClose: () => setIsVisible(false), contentContainerStyle: styles.bottomPadding, renderItem: ({ item }) => {
                    const isSelected = !!selection.find((i) => i.id === item.id);
                    return (React.createElement(TouchableOpacity, { style: styles.itemContainer, onPress: () => {
                            if (isSelected) {
                                remove(item.id);
                                setSelection([
                                    ...selection.filter((i) => i.id !== item.id),
                                ]);
                            }
                            else {
                                setSelection((selection) => [...selection, item]);
                                update(selection.length, item.data);
                            }
                        } },
                        React.createElement(View, { style: styles.itemRow },
                            React.createElement(Text, { style: styles.itemText }, item.data),
                            isSelected && (React.createElement(Icon, { name: "checkcircle", size: 20, color: Color.primary, style: { marginLeft: 10 } })))));
                }, ItemSeparatorComponent: ItemSeparatorComponent })) })));
};
const ItemSeparatorComponent = () => (React.createElement(View, { style: {
        height: StyleSheet.hairlineWidth,
        backgroundColor: Color.grey,
    } }));
export default FormMultiPicklist;
//# sourceMappingURL=index.js.map