import Icon from "@expo/vector-icons/Ionicons";
import React, { useState } from "react";
import { Controller } from "react-hook-form";
import { View, Text, TextInput, TouchableOpacity, } from "react-native";
import styles from "./styles";
import { Color } from "../../constants";
import FormError from "../FormError";
import PasswordStrengthIndicator from "../PasswordStrengthIndicator";
const FormPasswordInput = ({ label = "Password", control, name, rules, style, error, keyboardType, returnKeyType, onSubmitEditing, showPasswordValidator, }) => {
    const [isHidden, setIsHidden] = useState(true);
    const [password, setPassword] = useState("");
    return (React.createElement(View, { style: { flex: 1, flexDirection: "column" } },
        React.createElement(View, { style: [styles.root, style] },
            React.createElement(View, { style: styles.rowContainer },
                React.createElement(View, { style: styles.flex1 },
                    React.createElement(Text, { style: styles.labelText }, label),
                    React.createElement(Controller, { name: name, control: control, rules: rules, render: ({ field: { onChange, onBlur, value, ref } }) => (React.createElement(TextInput, { ref: ref, key: name, onChangeText: (text) => {
                                onChange(text);
                                setPassword(text);
                            }, onBlur: onBlur, value: value, style: styles.input, selectionColor: Color.darkGrey, keyboardType: keyboardType, returnKeyType: returnKeyType, onSubmitEditing: onSubmitEditing, autoCapitalize: "none", secureTextEntry: isHidden })) })),
                React.createElement(TouchableOpacity, { style: styles.paddingHorizontal, onPress: () => setIsHidden((hidden) => !hidden) },
                    React.createElement(Icon, { name: isHidden ? "eye" : "eye-off", size: 20, color: Color.grey })))),
        React.createElement(FormError, { error: error }),
        showPasswordValidator && (React.createElement(PasswordStrengthIndicator, { requirements: {
                length: 8,
                lowercase: true,
                uppercase: true,
                numbers: true,
                symbols: true,
            }, password: password }))));
};
export default FormPasswordInput;
//# sourceMappingURL=index.js.map