import Icon from "@expo/vector-icons/AntDesign";
import React, { useState } from "react";
import { Controller } from "react-hook-form";
import { View, Text, TouchableOpacity, FlatList, StyleSheet, } from "react-native";
import styles from "./styles";
import { Color } from "../../constants";
import BottomModal from "../BottomModal";
import FormError from "../FormError";
const FormPicklist = ({ name, control, label, modalTitle, items, error, style, onSubmitEditing, }) => {
    const [isVisble, setIsVisible] = useState(false);
    const [selection, setSelection] = useState(undefined);
    return (React.createElement(React.Fragment, null,
        React.createElement(TouchableOpacity, { style: [styles.dropdownContainer, style], onPress: () => setIsVisible(true) },
            React.createElement(View, { style: styles.content },
                React.createElement(View, { style: styles.flex1 },
                    React.createElement(Text, { style: styles.labelText }, label),
                    React.createElement(Text, { style: styles.valueText }, selection?.data)),
                React.createElement(Icon, { name: "down", size: 15, color: Color.black, style: styles.icon }))),
        React.createElement(FormError, { error: error }),
        React.createElement(Controller, { name: name, control: control, render: ({ field: { onChange } }) => (React.createElement(BottomModal, { modalTitle: modalTitle, isVisible: isVisble, onClose: () => setIsVisible(false) },
                React.createElement(FlatList, { data: items, keyExtractor: (item) => item.id.toString(), renderItem: ({ item }) => {
                        const isSelected = selection?.id === item.id;
                        return (React.createElement(TouchableOpacity, { style: styles.itemContainer, onPress: () => {
                                setSelection(item);
                                setIsVisible(false);
                                onChange(item.data);
                                onSubmitEditing?.();
                            } },
                            React.createElement(View, { style: styles.itemRow },
                                React.createElement(Text, { style: styles.itemText }, item.data),
                                isSelected && (React.createElement(Icon, { name: "checkcircle", size: 20, color: Color.primary })))));
                    }, ItemSeparatorComponent: ItemSeparatorComponent }))) })));
};
const ItemSeparatorComponent = () => (React.createElement(View, { style: {
        height: StyleSheet.hairlineWidth,
        backgroundColor: Color.grey,
    } }));
export default FormPicklist;
//# sourceMappingURL=index.js.map