import React, { useState } from "react";
import { Controller } from "react-hook-form";
import { View, Text } from "react-native";
import RadioButton from "../RadioButton";
const FormRadioButtons = ({ name, control, data, }) => {
    const [selectedIndex, setSelectedIndex] = useState(0);
    return (React.createElement(Controller, { name: name, control: control, render: ({ field: { onChange } }) => {
            return (React.createElement(React.Fragment, null, data.map((radio) => {
                const isSelected = radio.index === selectedIndex;
                return (React.createElement(View, { key: radio.index, style: { flexDirection: "row", alignItems: "center" } },
                    React.createElement(RadioButton, { isSelected: isSelected, onPress: () => {
                            setSelectedIndex(radio.index);
                            onChange(radio.label);
                        }, style: { margin: 2 } }),
                    React.createElement(Text, { style: { paddingLeft: 10 } }, radio.label)));
            })));
        } }));
};
export default FormRadioButtons;
//# sourceMappingURL=index.js.map