import React from "react";
import { Controller } from "react-hook-form";
import { Switch, View, Text } from "react-native";
import styles from "./styles";
import { Color } from "../../constants";
import FormError from "../FormError";
const FormSwitch = ({ name, control, rules, label, style, error, trueColor, falseColor, }) => {
    return (React.createElement(View, { style: [styles.root, style] },
        React.createElement(Text, { style: styles.labelText }, label),
        React.createElement(Controller, { name: name, control: control, rules: rules, render: ({ field: { value, onChange } }) => (React.createElement(Switch, { ios_backgroundColor: Color.medDarkGrey, thumbColor: Color.white, trackColor: {
                    false: falseColor || Color.medDarkGrey,
                    true: trueColor || Color.primary,
                }, value: value, onValueChange: onChange })) }),
        React.createElement(FormError, { error: error })));
};
export default FormSwitch;
//# sourceMappingURL=index.js.map