import React from "react";
import { Pressable } from "react-native";
import Reanimated, { useAnimatedStyle, withTiming, } from "react-native-reanimated";
import styles from "./styles";
const Tab = ({ index, label, selectedIndex, onPress, tabWidth, }) => {
    const isSelected = index === selectedIndex;
    const animTextStyle = useAnimatedStyle(() => ({
        opacity: isSelected
            ? withTiming(0, { duration: 100 })
            : withTiming(1, { duration: 100 }),
    }), [selectedIndex]);
    return (React.createElement(Pressable, { onPress: onPress, style: [styles.staticTab, { width: tabWidth }] },
        React.createElement(Reanimated.Text, { style: [styles.staticTabText, animTextStyle] }, label)));
};
export default Tab;
//# sourceMappingURL=index.js.map