import React, { useState } from "react";
import { View, Text, useWindowDimensions } from "react-native";
import Reanimated, { useAnimatedStyle, withTiming, } from "react-native-reanimated";
import styles from "./styles";
import Tab from "../Tab";
const TabSelector = ({ tabs }) => {
    const [selectedIndex, setSelectedIndex] = useState(0);
    const { width } = useWindowDimensions();
    const tabWidth = width / tabs.length;
    const animTabStyle = useAnimatedStyle(() => ({
        transform: [
            {
                translateX: withTiming(selectedIndex * tabWidth),
            },
        ],
    }), [selectedIndex]);
    return (React.createElement(View, { style: { flex: 1 } },
        React.createElement(View, { style: styles.row },
            React.createElement(Reanimated.View, { style: [styles.tab, { width: tabWidth }, animTabStyle] },
                React.createElement(Text, { style: styles.tabText }, tabs[selectedIndex].label)),
            tabs.map((tab) => {
                return (React.createElement(Tab, { key: tab.index, index: tab.index, selectedIndex: selectedIndex, label: tab.label, onPress: () => setSelectedIndex(tab.index), tabWidth: tabWidth }));
            })),
        tabs[selectedIndex].component));
};
export default TabSelector;
//# sourceMappingURL=index.js.map