import { useState } from "react";
export const useMockRequest = (ms) => {
    const [refreshing, setRefreshing] = useState(false);
    const milliseconds = ms || 1000;
    const onRequest = (callback) => {
        setRefreshing(true);
        setTimeout(() => {
            callback?.();
            setRefreshing(false);
        }, milliseconds);
    };
    return {
        onRequest,
        loading: refreshing,
        error: false,
    };
};
//# sourceMappingURL=useMockRequest.js.map